## PDS Set Default Tracking Session

PDS Set Default Tracking Session

## Functions

QmiMessagePdsSetDefaultTrackingSessionInput * | qmi_message_pds_set_default_tracking_session_input_new ()
QmiMessagePdsSetDefaultTrackingSessionInput * | qmi_message_pds_set_default_tracking_session_input_ref ()
void | qmi_message_pds_set_default_tracking_session_input_unref ()
gboolean | qmi_message_pds_set_default_tracking_session_input_get_info ()
gboolean | qmi_message_pds_set_default_tracking_session_input_set_info ()
QmiMessagePdsSetDefaultTrackingSessionOutput * | qmi_message_pds_set_default_tracking_session_output_ref ()
void | qmi_message_pds_set_default_tracking_session_output_unref ()
gboolean | qmi_message_pds_set_default_tracking_session_output_get_result ()
void | qmi_client_pds_set_default_tracking_session ()
QmiMessagePdsSetDefaultTrackingSessionOutput * | qmi_client_pds_set_default_tracking_session_finish ()

## Types and Values

| QmiMessagePdsSetDefaultTrackingSessionInput
| QmiMessagePdsSetDefaultTrackingSessionOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessagePdsSetDefaultTrackingSessionInput
        ╰── QmiMessagePdsSetDefaultTrackingSessionOutput

## Description

## Functions

### qmi_message_pds_set_default_tracking_session_input_new ()

    QmiMessagePdsSetDefaultTrackingSessionInput *
    qmi_message_pds_set_default_tracking_session_input_new
                                   (void);

Allocates a new QmiMessagePdsSetDefaultTrackingSessionInput.

#### Returns

the newly created QmiMessagePdsSetDefaultTrackingSessionInput. The returned value should be freed with `qmi_message_pds_set_default_tracking_session_input_unref()`.

Since: 1.12

### qmi_message_pds_set_default_tracking_session_input_ref ()

    QmiMessagePdsSetDefaultTrackingSessionInput *
    qmi_message_pds_set_default_tracking_session_input_ref
                                   (QmiMessagePdsSetDefaultTrackingSessionInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessagePdsSetDefaultTrackingSessionInput. |

#### Returns

the new reference to `self` .

Since: 1.12

### qmi_message_pds_set_default_tracking_session_input_unref ()

    void
    qmi_message_pds_set_default_tracking_session_input_unref
                                   (QmiMessagePdsSetDefaultTrackingSessionInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessagePdsSetDefaultTrackingSessionInput. |

Since: 1.12

### qmi_message_pds_set_default_tracking_session_input_get_info ()

    gboolean
    qmi_message_pds_set_default_tracking_session_input_get_info
                                   (QmiMessagePdsSetDefaultTrackingSessionInput *self,
                                    QmiPdsOperatingMode *value_info_session_operation,
                                    guint8 *value_info_position_data_timeout,
                                    guint32 *value_info_interval,
                                    guint32 *value_info_accuracy_threshold,
                                    GError **error);

Get the 'Info' field from `self` .

#### Parameters

self | a QmiMessagePdsSetDefaultTrackingSessionInput. |
value_info_session_operation | a placeholder for the output QmiPdsOperatingMode, or `NULL` if not required. |
value_info_position_data_timeout | a placeholder for the output guint8, or `NULL` if not required. |
value_info_interval | a placeholder for the output guint32, or `NULL` if not required. |
value_info_accuracy_threshold | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.12

### qmi_message_pds_set_default_tracking_session_input_set_info ()

    gboolean
    qmi_message_pds_set_default_tracking_session_input_set_info
                                   (QmiMessagePdsSetDefaultTrackingSessionInput *self,
                                    QmiPdsOperatingMode value_info_session_operation,
                                    guint8 value_info_position_data_timeout,
                                    guint32 value_info_interval,
                                    guint32 value_info_accuracy_threshold,
                                    GError **error);

Set the 'Info' field in the message.

#### Parameters

self | a QmiMessagePdsSetDefaultTrackingSessionInput. |
value_info_session_operation | a QmiPdsOperatingMode. |
value_info_position_data_timeout | a guint8. |
value_info_interval | a guint32. |
value_info_accuracy_threshold | a guint32. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.12

### qmi_message_pds_set_default_tracking_session_output_ref ()

    QmiMessagePdsSetDefaultTrackingSessionOutput *
    qmi_message_pds_set_default_tracking_session_output_ref
                                   (QmiMessagePdsSetDefaultTrackingSessionOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessagePdsSetDefaultTrackingSessionOutput. |

#### Returns

the new reference to `self` .

Since: 1.12

### qmi_message_pds_set_default_tracking_session_output_unref ()

    void
    qmi_message_pds_set_default_tracking_session_output_unref
                                   (QmiMessagePdsSetDefaultTrackingSessionOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessagePdsSetDefaultTrackingSessionOutput. |

Since: 1.12

### qmi_message_pds_set_default_tracking_session_output_get_result ()

    gboolean
    qmi_message_pds_set_default_tracking_session_output_get_result
                                   (QmiMessagePdsSetDefaultTrackingSessionOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessagePdsSetDefaultTrackingSessionOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.12

### qmi_client_pds_set_default_tracking_session ()

    void
    qmi_client_pds_set_default_tracking_session
                                   (QmiClientPds *self,
                                    QmiMessagePdsSetDefaultTrackingSessionInput *input,
                                    guint timeout,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously sends a Set Default Tracking Session request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_pds_set_default_tracking_session_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientPds. |
input | a QmiMessagePdsSetDefaultTrackingSessionInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.12

### qmi_client_pds_set_default_tracking_session_finish ()

    QmiMessagePdsSetDefaultTrackingSessionOutput *
    qmi_client_pds_set_default_tracking_session_finish
                                   (QmiClientPds *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_pds_set_default_tracking_session()`.

#### Parameters

self | a QmiClientPds. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_pds_set_default_tracking_session()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessagePdsSetDefaultTrackingSessionOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_pds_set_default_tracking_session_output_unref()`.

Since: 1.12

## Types and Values

### QmiMessagePdsSetDefaultTrackingSessionInput

    typedef struct _QmiMessagePdsSetDefaultTrackingSessionInput QmiMessagePdsSetDefaultTrackingSessionInput;

The QmiMessagePdsSetDefaultTrackingSessionInput structure contains private data and should only be accessed using the provided API.

Since: 1.12

### QmiMessagePdsSetDefaultTrackingSessionOutput

    typedef struct _QmiMessagePdsSetDefaultTrackingSessionOutput QmiMessagePdsSetDefaultTrackingSessionOutput;

The QmiMessagePdsSetDefaultTrackingSessionOutput structure contains private data and should only be accessed using the provided API.

Since: 1.12